Package: org.gradle.plugins.signing.signatory.pgp

## [Groovy] Class PgpKeyId

- org.gradle.plugins.signing.signatory.pgp.PgpKeyId

- All Implemented Interfaces and Traits:
    Comparable

      class PgpKeyId
      extends Object

  A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `asHex`
    `long` | `asLong`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PgpKeyId (long keyId)`
    `PgpKeyId (org.bouncycastle.openpgp.PGPPublicKey keyId)`
    `PgpKeyId (org.bouncycastle.openpgp.PGPSignature signature)`
    `PgpKeyId (String keyId)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compareTo(PgpKeyId other)`
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `static String` | `toHex(long keyId)`
    `static long` | `toLong(String keyId)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final String asHex

    - #### final long asLong

  - ### Constructor Detail

    - #### PgpKeyId(long keyId)

    - #### PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)

    - #### PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)

    - #### PgpKeyId(String keyId)

  - ### Method Detail

    - #### int compareTo(PgpKeyId other)

    - #### @Override boolean equals(Object other)

    - #### @Override int hashCode()

    - #### static String toHex(long keyId)

    - #### static long toLong(String keyId)

    - #### @Override String toString()